/**
 *  Copyright (c) 2014 Keang. All Rights Reserved.
 *
 * The CallType class is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The CallType class is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with the CallType class.  If not, see <http://www.gnu.org/licenses/>.
 */

package uk.co.keang.callerid.driver;

/**
 * The reason no number is available
 *
 * @author Keang
 * @version 1.0 - 15 Jan 2014
 */
public enum CallType
    {
    VOICE(0x01),
    RING_BACK(0x02),
    MSG_WAITING(0x81);

    private int code;

    private CallType(int val)
        {
        code = val;
        }

    int getCode() { return code; }

    public static CallType getEnum(int hexCode)
        {
        for ( CallType type : values() )
            {
            if ( type.code == hexCode )
                return type;
            }

        throw new IllegalArgumentException("There is no enum for code "+hexCode);
        }
    }
